Skip to main content
POST
Create Definition

Authorizations

Authorization
string
header
required

Organization-bound Auth0 API access token. Required permissions are listed per operation; this does not offer API-key or client-registration issuance.

Headers

Origin
string

Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.

X-CSRF-Token
string

Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.

Body

application/json
name
string
required
Required string length: 1 - 100
contributions
Contribution · object[]
Maximum array length: 20
fit_conditions
FitCondition · object[]
Maximum array length: 10
fit_points
integer
default:100
Required range: 1 <= x <= 10000
mode
enum<string>
default:events
Available options:
events,
company_fit
threshold
integer
default:100
Required range: 1 <= x <= 1000000
website_site_id
string<uuid> | null
window_days
integer
default:7
Required range: 1 <= x <= 365

Response

Successful Response